- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Reason
- Try it!
Updates the requested date change of a single Order.
HTTP request
POST https://gdchardwaremanagement.googleapis.com/v1alpha/{name=projects/*/locations/*/orders/*}:requestDateChange
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the order to update. Format: projects/{project}/locations/{location}/orders/{order} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "requestedDate": { object ( |
| Fields | |
|---|---|
requestedDate |
Required. The date to which the customer or Google wants to set the scheduled installation date. |
reason |
Optional. The reason for the requested date change. |
reasonDetails |
Optional. If the reason for requested date change is "OTHER", this field must be populated. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
gdchardwaremanagement.orders.update
For more information, see the IAM documentation.
Reason
Valid reasons for the requested date change.
| Enums | |
|---|---|
REASON_UNSPECIFIED |
The reason for the date change is not specified. |
REASON_SITE_NOT_READY |
The site is not ready for installation. |
REASON_FACILITY_ACCESS_ISSUE |
There is a facility access issue. |
REASON_CONSTRUCTION_OR_RENOVATION_DELAY |
There is a construction or renovation delay. |
REASON_POINT_OF_CONTACT_UNAVAILABLE |
The point of contact is unavailable. |
REASON_SCHEDULE_CONFLICT |
There is a schedule conflict. |
REASON_SPECIFIED_INCORRECT_DATE |
The requested date specified earlier was incorrect. |
REASON_OTHER |
Other reason. |